<?php 
/*
* PuzzleApp
* Webemyos
* Jérôme Oliva
* GNU Licence
*/

namespace Apps\Immo\Entity;
use Core\Entity\Entity\Entity;
use Core\Entity\Entity\Property;
use Core\Entity\Entity\EntityProperty;

class ImmoProjectAnnonce extends Entity  
{
	//Constructeur
	function __construct($core)
	{
		//Version
		$this->Version ="2.0.0.0"; 

		//Nom de la table 
		$this->Core=$core; 
		$this->TableName="ImmoProjectAnnonce"; 
		$this->Alias = "ImmoProjectAnnonce"; 

		$this->ProjectId = new Property("ProjectId", "ProjectId", NUMERICBOX,  false, $this->Alias); 
		$this->AnnonceId = new Property("AnnonceId", "AnnonceId", NUMERICBOX,  false, $this->Alias); 

		//Creation de l entité 
		$this->Create(); 
	}
}
?>